Summary:	Audio tag tools
Name:		mutagen
Version:	1.24
Release:	%mkrel 4
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://code.google.com/p/mutagen/
Source0:	https://bitbucket.org/lazka/mutagen/downloads/%{name}-%{version}.tar.gz
BuildRequires:	python-devel
BuildArch:	noarch

%description
Mutagen is an audio metadata tag reader and writer implemented in pure Python.
It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, and FLAC, and
writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

The goals are (in rough order of importance):
    * Read as many files as possible
    * Compatibility with as many other tag readers and editors as possible
    * Compliance with the relevant specifications
    * Written in Pythonic Python, with a Pythonic API
    * Unit and regression test suite
    * Provide access to all features of the supported formats
    * Easily extensible 

%prep
%setup -q

%build
%{__python} setup.py build

%check
%{__python} setup.py test

%install
%{__python} setup.py install -O2 --skip-build --root %{buildroot}

%find_lang %name

%files -f %{name}.lang
%doc NEWS README.rst
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-*egg-info
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.24-4.mga5
+ Revision: 742629
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.24-3.mga5
+ Revision: 727392
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.24-2.mga5
+ Revision: 682706
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 1.24-1.mga5
+ Revision: 670118
- 1.24
- 1.23
- 1.22

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.21-3.mga4
+ Revision: 542735
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.21-2.mga4
+ Revision: 497906
- Rebuild to add different pythonegg provides for python 2 and 3

  + dams <dams>
    - clean specfile

* Sun Jun 02 2013 colin <colin> 1.21-1.mga4
+ Revision: 434875
- New version: 1.21

* Sat Jan 12 2013 umeabot <umeabot> 1.20-5.mga3
+ Revision: 360532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 1.20-4.mga3
+ Revision: 324507
- update RPM group

* Mon Jan 24 2011 ahmad <ahmad> 1.20-3.mga1
+ Revision: 35856
- replace %%py_requires -d, with BR python-devel
- reenable checks, they worked in my test build
- imported package mutagen


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.20-2mdv2011.0
+ Revision: 590136
- rebuild for python 2.7

* Sat Aug 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.20-1mdv2011.0
+ Revision: 567382
- update to new version 1.20

* Sat Feb 20 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19-1mdv2010.1
+ Revision: 508794
- update to new version 1.19

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.18-1mdv2010.1
+ Revision: 464881
- update to new version 1.18

* Sat Jun 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.16-1mdv2010.0
+ Revision: 387466
- update to new version 1.16
- correct URLs

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 1.15-1mdv2009.1
+ Revision: 319007
- new version 1.15

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 1.14-1mdv2009.0
+ Revision: 273086
- New version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.13-2mdv2009.0
+ Revision: 223331
- rebuild
- fix no-buildroot-tag

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.13-1mdv2008.1
+ Revision: 138231
- disable checks, as it fails on x86_64
- new version
- new license policy
- fix building
- add checks
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Austin Acton <austin@mandriva.org> 1.11-1mdv2008.0
+ Revision: 23676
- new version


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.10.1-1mdv2007.0
+ Revision: 122280
- New release 1.10.1

* Sat Dec 09 2006 Eskild Hustvedt <eskild@mandriva.org> 1.6-2mdv2007.1
+ Revision: 94041
- Package the *.egg-info
- Rebuild for new python
- Import mutagen

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 1.6-1mdv2007.0
- 1.6

* Tue Jun 27 2006 Austin Acton <austin@mandriva.org> 1.5-1mdv2007.0
- New release 1.5

* Tue Jun 20 2006 Austin Acton <austin@mandriva.org> 1.4-1mdv2007.0
- fix summary
- source URL
- 1.4

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.2-1mdk
- 1.2

* Tue Apr 04 2006 Austin Acton <austin@mandriva.org> 1.0-1mdk
- initial package

